bcel (6.10.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:27:35 +0000

bcel (6.10.0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build depend on junit5 instead of junit4
    - Updated the Maven rules
    - New build dependencies on assertj-core, commons-exec, ecj and mockito
  * Removed the -java-doc package
  * Standards-Version updated to 4.7.0
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 04 Aug 2024 23:31:13 +0200

bcel (6.5.0-2) unstable; urgency=high

  * Team upload.
  * Fix CVE-2022-34169:
    The Apache Xalan Java XSLT library is vulnerable to an integer truncation
    issue when processing malicious XSLT stylesheets. This can be used to
    corrupt Java class files generated by the internal XSLTC compiler and
    execute arbitrary Java bytecode. (Closes: #1015860)
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Tue, 18 Oct 2022 01:11:06 +0200

bcel (6.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Disabled the BCEL-336 test (missing dependency)
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Aug 2020 11:05:19 +0200

bcel (6.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Updated the Maven rules
    - Fixes a test failure likely caused by a recent OpenJDK 11 update
      (Closes: #952220)
  * Updated the watch file
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Feb 2020 12:07:44 +0100

bcel (6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.4.0
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Jul 2019 13:38:29 +0200

bcel (6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.2.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Wed, 17 Jan 2018 00:05:34 +0100

bcel (6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Oct 2017 23:34:56 +0200

bcel (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - New build dependencies on libcommons-lang3-java and libjna-platform-java
  * Relocated the org.apache.bcel:bcel:5.x artifact
    to org.apache.bcel:bcel:debian
  * Enabled the OSGi metadata
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Jul 2016 01:07:32 +0200

bcel (6.0~rc3-2) unstable; urgency=medium

  * Team upload.
  * Add junit4 to build-deps. (Closes: #797489)

 -- tony mancill <tmancill@debian.org>  Tue, 01 Sep 2015 20:25:00 -0700

bcel (6.0~rc3-1) unstable; urgency=medium

  * New upstream release supporting the Java 8 features
    (Closes: #448868, #757624)
  * Build with maven-debian-helper
  * Removed the patches
  * Link /usr/share/ant/lib/bcel.jar to the versionless jar in /usr/share/java
  * Standards-Version updated to 3.9.6 (no changes)
  * Moved the package to Git
  * debian/watch: Updated to watch the release tags on Github

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 16:03:26 +0200

bcel (5.2-10) unstable; urgency=medium

  * Removed the duplicate API documentation in libbcel-java-doc
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Removed Michael Koch from the uploaders (Closes: #653995)
    - Use a canonical URL for the Vcs-Svn field
    - Updated the Homepage field
  * Switch to debhelper level 9
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 23 Apr 2014 23:31:05 +0200

bcel (5.2-9) unstable; urgency=low

  * Team upload.

  [Ludovic Claude]
  * Add version constraint on newer maven-repo-helper
  * d/rules: use mh_install instead of mh_installpoms + mh_installjar
  * Add --has-package-version switch in libbcel-java.poms and other
    options for mh_install

  [tony mancill]
  * Apply patch to address FTBFS on JDK7 (Closes: #651146)
    - Thank you to James Page.
  * Fix Vcs-Browser field (Closes: #634835)
  * Add d/libbcel-java.links (workaround for #651901)
  * Bumped Standards-Version to 3.9.2 - no changes required.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Mon, 12 Dec 2011 21:42:34 -0800

bcel (5.2-8) experimental; urgency=low

  * Team upload.
    - Upload to experimental due to freeze.
  * Updated javadoc linking to work with default-jdk-doc.
  * Use javahelper to calculate the recommends for the jacvadoc.
  * Added patch description to patches.
  * Updated the version number in the manifest.
  * Made patches compatible with quilt and let the 3.0 (quilt)
    source apply them.
    - This lead to a split of build.xml.patch into two patches.
  * Bumped debhelper compat to 7.
  * Use mh_clean to clean up after the mh_* commands.
  * Bumped S-V to 3.9.1 - no changes required.
  * Removed libxerces2-java and libregexp-java from (Build-)Depends
    - They are not used (anymore?).
  * Updated the description for the doc package.

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Dec 2010 14:56:47 +0100

bcel (5.2-7) unstable; urgency=low

  * Change the (Build-)Depends for the jdk's doc package to default-jdk-doc.
    (Closes: 567267)
  * Downgrade the Depends on the jdk's doc package to Recommends.
  * Remove Stefan, Arnaud, Wolfgang, and Paul from Uploaders list. Thanks to
    your contribution in the past!
  * Update Standards-Version: 3.8.4.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Tue, 29 Jun 2010 20:25:48 +0200

bcel (5.2-6) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:27:53 +0200

bcel (5.2-5) experimental; urgency=low

  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Drop the dependency on libxerces2-java-doc on the
    libbcel-java-doc package as xerces2 is not a runtime dependency
    for bcel, in fact xerces is not used at all in bcel's code.
    It caused lots of confusion in Ubuntu for nothing - see LP #190247.
  * Add libbcel-java-doc.docs to ship to real docs for a change.
  * Move the API docs to /usr/share/java/libbcel-java/api
  * Remove the link to bcel.jar installed in /usr/share/ant/lib, modify
    ant at the same time to install by itself this link

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 22 Jul 2009 17:53:47 +0100

bcel (5.2-4) unstable; urgency=low

  [ Matthias Klose ]
  * Build-depend on default-jdk instead of java-gcj-compat-dev. (Closes:
    #517840, #526277)

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Do no longer quote the full text of the Apache-2.0 license.
  * Switch to debhelper compat level 5.
  * Update Standards-Version: 3.8.2:
    - Fix Homepage header.
    - Add Vcs headers.
    - Move package to Section: java.
  * Prefer openjdk-6-doc as Depends for the -doc package.

 -- Torsten Werner <twerner@debian.org>  Thu, 30 Jul 2009 17:41:12 +0200

bcel (5.2-3) unstable; urgency=low

  * Added link from /usr/share/ant/lib/bcel.jar to /usr/share/java/bcel.jar
    (Closes: #440000).

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Sep 2007 10:44:44 +0200

bcel (5.2-2) unstable; urgency=low

  * Migrate experimental version to unstable.
  * Remove downloading of a Jar from build.xml.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 15 Apr 2007 21:49:05 +0100

bcel (5.2-1) experimental; urgency=low

  * New upstream release (Closes: #349779)
  * Upstream now uses Apache Software License version 2
  * Upgraded to standards version 3.7.2
  * Bumped debhelper to version 5
  * Added myself to co-maintainers
  * Uses java-gcj compiler, rather than kaffe
  * Moved ant / cdbs from build-depends-indep to build-depends as
    required by java-policy (and lintian)
  * Corrected dependencies (removed Java runtime as specified in Java policy)
  * Patched build.xml to remove <setproxy> actions (which are no supported in
    all JDKs), and to add a <link> to classpath-doc in the Javadoc target
  * Created watch file
  * Created "install" and "links" files for both binary packages
  * Moved API docs to /usr/share/doc/libbcel-java/api (as required
    by draft Java policy)
  * Added a doc-base

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 13 Jan 2007 23:04:12 +0000

bcel (5.1-6) unstable; urgency=low

  * kaffe compiler transition
  * Removed Takashi from uploaders to reflect current maintainers
  * Bumped debhelper version to fix linda error

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 13:52:14 +0100

bcel (5.1-5) unstable; urgency=low

  * libant1.6-java to ant transition
  * Changed xerces dependency to xerces2
  * Removed explicit dependencies on gjdoc, jikes
  * Added myself to uploaders
  * Standards-Version 3.6.2

 -- Wolfgang Baer <WBaer@gmx.de>  Sun, 25 Sep 2005 00:09:17 +0200

bcel (5.1-4) unstable; urgency=low

  * Reupload with orig tarball (Closes: #301507).
  * Removed trailing line in debian/compat and debian/libjava-bcel-doc.docs.

 -- Michael Koch <konqueror@gmx.de>  Mon, 28 Mar 2005 10:02:02 +0000

bcel (5.1-3) unstable; urgency=low

  * Move all packages to main.
  * Fixed Depends and Suggests.

 -- Michael Koch <konqueror@gmx.de>  Sat, 12 Mar 2005 23:13:25 +0000

bcel (5.1-2) unstable; urgency=low

  * Moved to main.
  * Ported to CDBS.
  * Use Debian Java Packagers as Maintainer.
  * Added Takashi, Arnaud, myself to Uploaders.
  * Build-Depend and use kaffe and libant1.6-java.
  * Standards-Version: 3.6.1 (no changes required).

 -- Michael Koch <konqueror@gmx.de>  Wed,  9 Mar 2005 17:02:28 +0000

bcel (5.1-1mkoch1) unstable; urgency=low

  * New upstream release
    + This version is compatible with JDK 1.4 (closes: #174977)
  * Added myself to Uploaders
  * Standards-Version: 3.6.0 (no changes required)
    + Don't use Ant in the clean target to avoid Build-Depends:
  * Build with debhelper >= 4.1.0 to get rid of /usr/doc compatibility
    symlinks
  * Updated long description and added a link to the home page.
  * Fixed build dependencies (closes: #174980)
  * Build using j2sdk1.4
  * Moved libbcel-java-doc from contrib/libs to contrib/doc
  * Updated download location and upstream authors debian/copyright
  * Fixed package dependencies according to the Java policy (closes: #174984)
  * Only build the API documentation, building the real documentaion requires
    addisional files from the Jakarta project

 -- Stefan Gybas <sgybas@debian.org>  Mon, 14 Jul 2003 20:43:51 +0200

bcel (5.0-1) unstable; urgency=low

  * New upstream release. (Cleses #137459 request new package)

 -- Takashi Okamoto <tora@debian.org>  Fri,  5 Jul 2002 18:18:18 +0900

bcel (4.3.1-3) unstable; urgency=low

  * fixed bcel.jar was invalid (Closes: #136352)

 -- Takashi Okamoto <tora@debian.org>  Sat,  2 Mar 2002 10:18:27 +0900

bcel (4.3.1-2) unstable; urgency=low

  * remove ant dependeny (Closes: #133066)
  * move to new Java Policy

 -- Takashi Okamoto <tora@debian.org>  Sat,  9 Feb 2002 19:13:48 +0900

bcel (4.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Sun,  5 Aug 2001 10:22:10 +0900
